RepSumByNameRoundTask (Lucene 10.5.1 benchmark API)
Description: declaration: package: org.apache.lucene.benchmark.byTask.tasks, class: RepSumByNameRoundTask

Package org.apache.lucene.benchmark.byTask.tasks

# Class RepSumByNameRoundTask

java.lang.Object
org.apache.lucene.benchmark.byTask.tasks.PerfTask
org.apache.lucene.benchmark.byTask.tasks.ReportTask
org.apache.lucene.benchmark.byTask.tasks.RepSumByNameRoundTask

All Implemented Interfaces:
  `Cloneable`

public class RepSumByNameRoundTask extends ReportTask
Report all statistics grouped/aggregated by name and round.
Other side effects: None.

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.ReportTask

  `COLS, ELAPSED, newline, OP, RECCNT, RECSEC, ROUND, RUNCNT, TOTMEM, USEDMEM`

  ### Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask

  `logStep, NEW_LINE, params, stopNow`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RepSumByNameRoundTask(PerfRunData runData)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `doLogic()`
  Perform the task once (ignoring repetitions specification) Return number of work items done by this task.
  `protected Report`
  `reportSumByNameRound(List<TaskStats> taskStats)`
  Report statistics as a string, aggregate for tasks named the same, and from the same round.

  ### Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.ReportTask

  `genPartialReport, longestOp, shouldNeverLogAtStart, shouldNotRecordStats, tableTitle, taskReportLine`

  ### Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask

  `clone, close, getAlgLineNum, getBackgroundDeltaPriority, getDepth, getLogMessage, getName, getParams, getRunData, getRunInBackground, isDisableCounting, runAndMaybeStats, setAlgLineNum, setDepth, setDisableCounting, setName, setParams, setRunInBackground, setup, stopNow, supportsParams, tearDown, toString`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RepSumByNameRoundTask

    public RepSumByNameRoundTask(PerfRunData runData)

- ## Method Details

  - ### doLogic

    public int doLogic() throws Exception
    Description copied from class: `PerfTask`
    Perform the task once (ignoring repetitions specification) Return number of work items done by this task. For indexing that can be number of docs added. For warming that can be number of scanned items, etc.
    Specified by:
      `doLogic` in class `PerfTask`
    Returns:
      number of work items done by this task.
    Throws:
      `Exception`

  - ### reportSumByNameRound

    protected Report reportSumByNameRound(List<TaskStats> taskStats)
    Report statistics as a string, aggregate for tasks named the same, and from the same round.
    Returns:
      the report